Bug 155137 - [PATCH] postgresql* prior 9.0 didn't conflict with postgresql9.0-*
[PATCH] postgresql* prior 9.0 didn't conflict with postgresql9.0-*
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Palle Girgensohn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-28 23:20 UTC by aldis
Modified: 2011-04-19 00:40 UTC (History)
0 users

See Also:


Attachments
file.shar (14.83 KB, text/plain)
2011-02-28 23:20 UTC, aldis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description aldis 2011-02-28 23:20:06 UTC
These ports:
postgresql73-client
postgresql73-server
postgresql74-client
postgresql74-contrib
postgresql74-server
postgresql80-client
postgresql80-contrib
postgresql80-server
postgresql81-client
postgresql81-contrib
postgresql81-server
postgresql82-client
postgresql82-contrib
postgresql82-server
postgresql83-client
postgresql83-contrib
postgresql83-server
postgresql84-client
postgresql84-contrib
postgresql84-server

Weren't updated to conflict with
postgresql90-client
postgresql90-contrib
postgresql90-server

I created patches (totaly 20) and attached them as shar archive

Just in case I also uploaded them to my server as tar archive
http://files.bsdroot.lv/my/FreeBSD/patches/postgresql-patches.tar.gz



I discovered this problem, because I had postgresql90-client installed
and wanted to add pgadmin3 package, which depended on postgresql84-client...

It simply overwrote all files

Fix: Use attached paches, or 
http://files.bsdroot.lv/my/FreeBSD/patches/postgresql-patches.tar.gz


Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer 2011-03-01 03:27:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->girgen

Over to maintainer of postgresql ports.
Comment 2 Palle Girgensohn freebsd_committer 2011-04-18 20:45:59 UTC
State Changed
From-To: open->closed

About to commit a fix. Thanks for the heads-up.
Comment 3 dfilter freebsd_committer 2011-04-19 00:34:51 UTC
girgen      2011-04-18 23:34:27 UTC

  FreeBSD ports repository

  Modified files:
    databases/postgresql82-server Makefile distinfo 
                                  pkg-plist-server 
    databases/postgresql82-server/files pkg-message-client.in 
    databases/postgresql83-server Makefile distinfo 
                                  pkg-plist-server 
    databases/postgresql83-server/files pkg-message-client.in 
    databases/postgresql84-server Makefile distinfo 
                                  pkg-plist-client 
                                  pkg-plist-server 
    databases/postgresql84-server/files pkg-message-client.in 
                                        postgresql.in 
    databases/postgresql90-server Makefile distinfo 
                                  pkg-plist-server 
    databases/postgresql90-server/files pkg-message-client.in 
                                        postgresql.in 
  Added files:
    databases/postgresql84-server/files 502.pgsql.in 
                                        pkg-install-server.in 
    databases/postgresql90-server/files 502.pgsql.in 
                                        pkg-install-server.in 
  Removed files:
    databases/postgresql84-server pkg-install-server 
    databases/postgresql84-server/files 502.pgsql 
    databases/postgresql90-server pkg-install-server 
    databases/postgresql90-server/files 502.pgsql 
  Log:
  Update PostgreSQL to 9.0.4, 8.4.8, 8.3.15 and 8.2.21.
  
  This update contains a critical fix to the pg_upgrade utility
  which prevents significant downtime issues. Do not use
  pg_upgrade without installing this update first.
  
  The issue with pg_upgrade and the fix are detailed on the PostgreSQL
  wiki: http://wiki.postgresql.org/wiki/20110408pg_upgrade_fix
  Users who have already used pg_upgrade should run the database repair
  script given on that page on their databases as soon as possible.
  
  See the release notes for each version at
  http://www.postgresql.org/docs/current/static/release.html for a full
  list of changes with details.
  
  Allow the username of the postgresql user to configurable for 8.4 and 9.0.
  Largely inspired by the work of Jason Helfman [153668, 153136].
  
  Change PGUSER knob to PG_USER not to clash with PGUSER environment.
  
  PR: 153668, 153136, 155493, 155137
  
  Revision  Changes    Path
  1.197     +3 -3      ports/databases/postgresql82-server/Makefile
  1.69      +2 -2      ports/databases/postgresql82-server/distinfo
  1.2       +1 -1      ports/databases/postgresql82-server/files/pkg-message-client.in
  1.20      +3 -0      ports/databases/postgresql82-server/pkg-plist-server
  1.210     +3 -3      ports/databases/postgresql83-server/Makefile
  1.78      +2 -2      ports/databases/postgresql83-server/distinfo
  1.3       +1 -1      ports/databases/postgresql83-server/files/pkg-message-client.in
  1.27      +3 -0      ports/databases/postgresql83-server/pkg-plist-server
  1.221     +21 -10    ports/databases/postgresql84-server/Makefile
  1.81      +2 -2      ports/databases/postgresql84-server/distinfo
  1.12      +0 -112    ports/databases/postgresql84-server/files/502.pgsql (dead)
  1.1       +112 -0    ports/databases/postgresql84-server/files/502.pgsql.in (new)
  1.1       +66 -0     ports/databases/postgresql84-server/files/pkg-install-server.in (new)
  1.3       +1 -1      ports/databases/postgresql84-server/files/pkg-message-client.in
  1.5       +2 -2      ports/databases/postgresql84-server/files/postgresql.in
  1.8       +0 -63     ports/databases/postgresql84-server/pkg-install-server (dead)
  1.20      +1 -0      ports/databases/postgresql84-server/pkg-plist-client
  1.31      +4 -1      ports/databases/postgresql84-server/pkg-plist-server
  1.215     +17 -8     ports/databases/postgresql90-server/Makefile
  1.81      +2 -2      ports/databases/postgresql90-server/distinfo
  1.12      +0 -112    ports/databases/postgresql90-server/files/502.pgsql (dead)
  1.1       +112 -0    ports/databases/postgresql90-server/files/502.pgsql.in (new)
  1.1       +66 -0     ports/databases/postgresql90-server/files/pkg-install-server.in (new)
  1.3       +1 -1      ports/databases/postgresql90-server/files/pkg-message-client.in
  1.5       +2 -2      ports/databases/postgresql90-server/files/postgresql.in
  1.8       +0 -63     ports/databases/postgresql90-server/pkg-install-server (dead)
  1.31      +4 -1      ports/databases/postgresql90-server/pkg-plist-server
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"